"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ElasticsearchServiceClient_1 = require("./ElasticsearchServiceClient");
const AddTagsCommand_1 = require("./commands/AddTagsCommand");
const CancelElasticsearchServiceSoftwareUpdateCommand_1 = require("./commands/CancelElasticsearchServiceSoftwareUpdateCommand");
const CreateElasticsearchDomainCommand_1 = require("./commands/CreateElasticsearchDomainCommand");
const DeleteElasticsearchDomainCommand_1 = require("./commands/DeleteElasticsearchDomainCommand");
const DeleteElasticsearchServiceRoleCommand_1 = require("./commands/DeleteElasticsearchServiceRoleCommand");
const DescribeElasticsearchDomainCommand_1 = require("./commands/DescribeElasticsearchDomainCommand");
const DescribeElasticsearchDomainConfigCommand_1 = require("./commands/DescribeElasticsearchDomainConfigCommand");
const DescribeElasticsearchDomainsCommand_1 = require("./commands/DescribeElasticsearchDomainsCommand");
const DescribeElasticsearchInstanceTypeLimitsCommand_1 = require("./commands/DescribeElasticsearchInstanceTypeLimitsCommand");
const DescribeReservedElasticsearchInstanceOfferingsCommand_1 = require("./commands/DescribeReservedElasticsearchInstanceOfferingsCommand");
const DescribeReservedElasticsearchInstancesCommand_1 = require("./commands/DescribeReservedElasticsearchInstancesCommand");
const GetCompatibleElasticsearchVersionsCommand_1 = require("./commands/GetCompatibleElasticsearchVersionsCommand");
const GetUpgradeHistoryCommand_1 = require("./commands/GetUpgradeHistoryCommand");
const GetUpgradeStatusCommand_1 = require("./commands/GetUpgradeStatusCommand");
const ListDomainNamesCommand_1 = require("./commands/ListDomainNamesCommand");
const ListElasticsearchInstanceTypesCommand_1 = require("./commands/ListElasticsearchInstanceTypesCommand");
const ListElasticsearchVersionsCommand_1 = require("./commands/ListElasticsearchVersionsCommand");
const ListTagsCommand_1 = require("./commands/ListTagsCommand");
const PurchaseReservedElasticsearchInstanceOfferingCommand_1 = require("./commands/PurchaseReservedElasticsearchInstanceOfferingCommand");
const RemoveTagsCommand_1 = require("./commands/RemoveTagsCommand");
const StartElasticsearchServiceSoftwareUpdateCommand_1 = require("./commands/StartElasticsearchServiceSoftwareUpdateCommand");
const UpdateElasticsearchDomainConfigCommand_1 = require("./commands/UpdateElasticsearchDomainConfigCommand");
const UpgradeElasticsearchDomainCommand_1 = require("./commands/UpgradeElasticsearchDomainCommand");
class ElasticsearchService extends ElasticsearchServiceClient_1.ElasticsearchServiceClient {
    addTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    cancelElasticsearchServiceSoftwareUpdate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CancelElasticsearchServiceSoftwareUpdateCommand_1.CancelElasticsearchServiceSoftwareUpdateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createElasticsearchDomain(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateElasticsearchDomainCommand_1.CreateElasticsearchDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteElasticsearchDomain(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteElasticsearchDomainCommand_1.DeleteElasticsearchDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteElasticsearchServiceRole(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteElasticsearchServiceRoleCommand_1.DeleteElasticsearchServiceRoleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeElasticsearchDomain(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeElasticsearchDomainCommand_1.DescribeElasticsearchDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeElasticsearchDomainConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeElasticsearchDomainConfigCommand_1.DescribeElasticsearchDomainConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeElasticsearchDomains(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeElasticsearchDomainsCommand_1.DescribeElasticsearchDomainsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeElasticsearchInstanceTypeLimits(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeElasticsearchInstanceTypeLimitsCommand_1.DescribeElasticsearchInstanceTypeLimitsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeReservedElasticsearchInstanceOfferings(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeReservedElasticsearchInstanceOfferingsCommand_1.DescribeReservedElasticsearchInstanceOfferingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeReservedElasticsearchInstances(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeReservedElasticsearchInstancesCommand_1.DescribeReservedElasticsearchInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getCompatibleElasticsearchVersions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetCompatibleElasticsearchVersionsCommand_1.GetCompatibleElasticsearchVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getUpgradeHistory(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetUpgradeHistoryCommand_1.GetUpgradeHistoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getUpgradeStatus(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetUpgradeStatusCommand_1.GetUpgradeStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listDomainNames(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListDomainNamesCommand_1.ListDomainNamesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listElasticsearchInstanceTypes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListElasticsearchInstanceTypesCommand_1.ListElasticsearchInstanceTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listElasticsearchVersions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListElasticsearchVersionsCommand_1.ListElasticsearchVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTagsCommand_1.ListTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    purchaseReservedElasticsearchInstanceOffering(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PurchaseReservedElasticsearchInstanceOfferingCommand_1.PurchaseReservedElasticsearchInstanceOfferingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removeTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemoveTagsCommand_1.RemoveTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    startElasticsearchServiceSoftwareUpdate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StartElasticsearchServiceSoftwareUpdateCommand_1.StartElasticsearchServiceSoftwareUpdateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateElasticsearchDomainConfig(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateElasticsearchDomainConfigCommand_1.UpdateElasticsearchDomainConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    upgradeElasticsearchDomain(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpgradeElasticsearchDomainCommand_1.UpgradeElasticsearchDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.ElasticsearchService = ElasticsearchService;
//# sourceMappingURL=ElasticsearchService.js.map