"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeElasticsearchDomainConfig_1 = require("../model/operations/DescribeElasticsearchDomainConfig");
class DescribeElasticsearchDomainConfigCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeElasticsearchDomainConfig_1.DescribeElasticsearchDomainConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeElasticsearchDomainConfigCommand = DescribeElasticsearchDomainConfigCommand;
//# sourceMappingURL=DescribeElasticsearchDomainConfigCommand.js.map