"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpgradeElasticsearchDomain_1 = require("../model/operations/UpgradeElasticsearchDomain");
class UpgradeElasticsearchDomainCommand {
    constructor(input) {
        this.input = input;
        this.model = UpgradeElasticsearchDomain_1.UpgradeElasticsearchDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpgradeElasticsearchDomainCommand = UpgradeElasticsearchDomainCommand;
//# sourceMappingURL=UpgradeElasticsearchDomainCommand.js.map