"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateElasticsearchDomainInput_1 = require("../shapes/CreateElasticsearchDomainInput");
const CreateElasticsearchDomainOutput_1 = require("../shapes/CreateElasticsearchDomainOutput");
const BaseException_1 = require("../shapes/BaseException");
const DisabledOperationException_1 = require("../shapes/DisabledOperationException");
const InternalException_1 = require("../shapes/InternalException");
const InvalidTypeException_1 = require("../shapes/InvalidTypeException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
const ValidationException_1 = require("../shapes/ValidationException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateElasticsearchDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateElasticsearchDomain",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/es/domain"
    },
    input: {
        shape: CreateElasticsearchDomainInput_1.CreateElasticsearchDomainInput
    },
    output: {
        shape: CreateElasticsearchDomainOutput_1.CreateElasticsearchDomainOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: InvalidTypeException_1.InvalidTypeException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=CreateElasticsearchDomain.js.map