"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpgradeElasticsearchDomainInput_1 = require("../shapes/UpgradeElasticsearchDomainInput");
const UpgradeElasticsearchDomainOutput_1 = require("../shapes/UpgradeElasticsearchDomainOutput");
const BaseException_1 = require("../shapes/BaseException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
const DisabledOperationException_1 = require("../shapes/DisabledOperationException");
const ValidationException_1 = require("../shapes/ValidationException");
const InternalException_1 = require("../shapes/InternalException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpgradeElasticsearchDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpgradeElasticsearchDomain",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/es/upgradeDomain"
    },
    input: {
        shape: UpgradeElasticsearchDomainInput_1.UpgradeElasticsearchDomainInput
    },
    output: {
        shape: UpgradeElasticsearchDomainOutput_1.UpgradeElasticsearchDomainOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=UpgradeElasticsearchDomain.js.map