"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ElasticsearchClusterConfig_1 = require("./_ElasticsearchClusterConfig");
const _EBSOptions_1 = require("./_EBSOptions");
const _SnapshotOptions_1 = require("./_SnapshotOptions");
const _VPCOptions_1 = require("./_VPCOptions");
const _CognitoOptions_1 = require("./_CognitoOptions");
const _EncryptionAtRestOptions_1 = require("./_EncryptionAtRestOptions");
const _NodeToNodeEncryptionOptions_1 = require("./_NodeToNodeEncryptionOptions");
const _AdvancedOptions_1 = require("./_AdvancedOptions");
const _LogPublishingOptions_1 = require("./_LogPublishingOptions");
exports.CreateElasticsearchDomainInput = {
    type: "structure",
    required: ["DomainName"],
    members: {
        DomainName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        ElasticsearchVersion: {
            shape: {
                type: "string"
            }
        },
        ElasticsearchClusterConfig: {
            shape: _ElasticsearchClusterConfig_1._ElasticsearchClusterConfig
        },
        EBSOptions: {
            shape: _EBSOptions_1._EBSOptions
        },
        AccessPolicies: {
            shape: {
                type: "string"
            }
        },
        SnapshotOptions: {
            shape: _SnapshotOptions_1._SnapshotOptions
        },
        VPCOptions: {
            shape: _VPCOptions_1._VPCOptions
        },
        CognitoOptions: {
            shape: _CognitoOptions_1._CognitoOptions
        },
        EncryptionAtRestOptions: {
            shape: _EncryptionAtRestOptions_1._EncryptionAtRestOptions
        },
        NodeToNodeEncryptionOptions: {
            shape: _NodeToNodeEncryptionOptions_1._NodeToNodeEncryptionOptions
        },
        AdvancedOptions: {
            shape: _AdvancedOptions_1._AdvancedOptions
        },
        LogPublishingOptions: {
            shape: _LogPublishingOptions_1._LogPublishingOptions
        }
    }
};
//# sourceMappingURL=CreateElasticsearchDomainInput.js.map